@page "/counter"
@inject IndexedDBManager DbManager

<h1>Counter</h1>

<p>Current count: @currentCount</p>

<button class="btn btn-primary" @onclick="IncrementCount">Click me</button>
<button class="btn btn-primary" @onclick="AddData">Add data</button>

@code {
    private int currentCount = 0;

    private void IncrementCount()
    {
        currentCount++;
    }

    private async void AddData()
    {
        var newPerson = new Person();
        newPerson.FirstName = "Nils";
        newPerson.LastName = "Holle";

        var newRecord = new StoreRecord<Person>
        {
            Storename ="Employees",
            Data = newPerson
        };

        await DbManager.AddRecord(newRecord);
    }
}
